Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Textstil von Mtext und Text ändern ohne Eigenschaftenfenster

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Textstil von Mtext und Text ändern ohne Eigenschaftenfenster (382 mal gelesen)
Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 19
Registriert: 31.01.2020

Windows 10 - 64-Bit - 16GB RAM - Intel Xeon CPU E5-2620 v2 @ 2.10 GHz
AutoCAD MEP 2019 - Revit 2019

erstellt am: 14. Feb. 2020 07:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten morgen,

habe mal wieder eine lange suche hinter mir, aber finde nichts...
Ich möchte gerne Mtexte und danach auch Texte auf einen anderen Schriftstil legen lassen.

Es sollte wie folgt ablaufen Mtexte auswählen mit:
^C^C(sssetfirst nil (ssget "_X" '((0 . "MTEXT")(410 . "Model"))))

Jetzt habe ich gedacht der Befehl _textstyle hilft mir weiter.
Dieser Befehl setzt aber nur einen bestimmten Textstil aktuell.

Mit _change komme ich nicht weiter...
Gibt es denn keinen Befehl um das nicht von Hand machen zu müssen?

Der komplette Ablauf wäre:
-Mtexte auswählen
- auf Schriftstil ISOCP-1 legen
- Ursprung (_explode)
-Texte auswählen
- auf Schriftstil ISOCP-1 legen
- Breitenfaktor auf 0.8
FERTIG


MFG
Manuel486

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13436
Registriert: 30.11.2003

.

erstellt am: 14. Feb. 2020 08:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Ändere im Eigenschaftsfenster für die getätigte Auswahl Befehl: _properties    -- Ansonsten  -> kleines Lisp

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 19
Registriert: 31.01.2020

Windows 10 - 64-Bit - 16GB RAM - Intel Xeon CPU E5-2620 v2 @ 2.10 GHz
AutoCAD MEP 2019 - Revit 2019

erstellt am: 14. Feb. 2020 09:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich will es ja gerade NICHT mit dem Eigenschaftenfenster machen.
Der Befehl _properties öffnet ja nur das Eigenschaftenfenster,
oder verstehe ich hier was falsch ?!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 315
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 14. Feb. 2020 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Also ich denke jetzt nur mal laut 
Anhand der Menge an Beiträgen die du in der kurzen Zeit hier aufgemacht hast und vor allem das du das alles immer in ein Befehlsscript packen möchtest.
Mehr an Unhandlichkeit geht einfach nicht; keine Fehlerkorrektur; keine Ablaufverfolgung und und und. Es ist und bleibt ein basteln was du da machst. Aufgrund des Umfangs deiner Abläufe würde ich dir davon abraten. Ein oder 2 Befehle aufrufen wäre noch OK alles andere erinnert an den Kampf der Leute die nur die LT Version besitzen und versuchen sich mit solchen Buttons etwas Erleichterung zu verschaffen. Und da lehne ich mich jetzt mal aus dem Fenster und würde sagen keiner der hier ein paar LISP Zeilen hinbekommt käme auf die Idee diese in ein Befehlsscript zu packen.
Aber zu deiner Frage es ist wie CADmium geschrieben und du vermutest. Händisch oder LISP. 

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1165
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 14. Feb. 2020 11:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Kommentarlos

Code:
(if (= (type
(setq satz (ssget "_X" '((0 . "TEXT,MTEXT") (410 . "Model"))))
      )
      'PICKSET
    )
  (mapcar '(lambda (ent_name)
    (vla-put-StyleName
      (vlax-ename->vla-object ent_name)
      "isocp-1"
    )
  )
  (vl-remove-if-not
    '(lambda (dummy) (= (type dummy) 'ENAME))
    (mapcar 'cadr (ssnamex satz))
  )
  )
)

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 19
Registriert: 31.01.2020

Windows 10 - 64-Bit - 16GB RAM - Intel Xeon CPU E5-2620 v2 @ 2.10 GHz
AutoCAD MEP 2019 - Revit 2019

erstellt am: 17. Feb. 2020 09:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

(defun c:TXT2ISOCP1 (/)
(if (= (type
(setq satz (ssget "_X" '((0 . "TEXT,MTEXT") (410 . "Model"))))
      )
      'PICKSET
    )
  (mapcar '(lambda (ent_name)
    (vla-put-StyleName
      (vlax-ename->vla-object ent_name)
      "isocp-1"
    )
  )
  (vl-remove-if-not
    '(lambda (dummy) (= (type dummy) 'ENAME))
    (mapcar 'cadr (ssnamex satz))
  )
  )
)

So hab ich die LISP abgelegt.

In Autocad zeigt er das hier an:
Befehl: (Load "c:/cad/faust/_LISP/Alle Texte auf ISOCP1")
Falsch formatierte Liste in Eingabe
Befehl: TXT2ISOCP1
Unbekannter Befehl "TXT2ISOCP1". Drücken Sie F1-Taste für Hilfe.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 315
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 17. Feb. 2020 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Ja dann ist doch alles in Ordnung     
Weil Acad kann dea nicht verarbeiten.
1 Was ist mit einer Dateiendung z.B. .lsp
2 dein Pfad nicht mit / sondern mit \\
und dann teste nochmal ich hatte dir aber in einem anderen Beitrag schon geschrieben wie eine lsp geladen wird.

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz